## org.eclipse.datatools.enablement.sybase.util
Class ModelUtilExt

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.util.ModelUtilExt

    public class ModelUtilExt

extends java.lang.Object

Constructor Summary
`ModelUtilExt()`

Method Summary
`static SQLObject` `findProceduralObject(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, boolean refresh, boolean caseSensitive, boolean ignoreTableName)`
`static Schema` `getDefaultSchema(ConnectionInfo conInfo, Catalog catalog)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelUtilExt

    public ModelUtilExt()

Method Detail

### findProceduralObject

    public static SQLObject findProceduralObject(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                                 boolean refresh,
                                                 boolean caseSensitive,
                                                 boolean ignoreTableName)

  Parameters:
    `proc` -
    `refresh` - Whether to refresh the procedural object's parent folder
  Returns:

### getDefaultSchema

    public static Schema getDefaultSchema(ConnectionInfo conInfo,
                                          Catalog catalog)